<?xml version="1.0" encoding="iso-8859-1" standalone="yes" ?>

<installation version="1.0">

    <!-- 
        The info section.
        The meaning of the tags should be natural ...
    -->
    <info>
		<appname>PerfumeriaMarlen_desktop</appname>
        <appversion>1.5</appversion>
        <authors>
            <author name="Alfredo Estrada Gonzalez" email="tracktopell@gmail.com"/>
            
        </authors>
        <url>http://perfumeriamarlen.dyndns.org:1080</url>
    </info>

    <!-- 
        The gui preferences indication.
        Sets the installer window to 640x480. It will not be able to change the size.
    -->
    <guiprefs width="640" height="480" resizable="no"/>

    <!-- 
        The locale section.
        Asks here to include the English and French langpacks.
    -->
    <locale>
        <langpack iso3="spa"/>
<!--
		<langpack iso3="eng"/>
		<langpack iso3="deu"/>
		<langpack iso3="fra"/>
		<langpack iso3="ita"/>
-->
    </locale>

    <!-- 
        The resources section.
        The ids must be these ones if you want to use the LicencePanel and/or the InfoPanel.
    -->
    <resources>
        <res id="LicencePanel.licence" src="Licence.txt"/>
        <res id="InfoPanel.info" src="Readme.txt"/>
    </resources>

    <!-- 
        The panels section.
        We indicate here which panels we want to use. The order will be respected.
    -->
    <panels>
	<!--
        <panel classname="com.company.izpack.panels.MyHelloPanel"/>
	-->
        <panel classname="HelloPanel"/>
        <panel classname="InfoPanel"/>
        <panel classname="LicencePanel"/>
        <panel classname="TargetPanel"/>
        <panel classname="PacksPanel"/>
        <panel classname="InstallPanel"/>
        <panel classname="FinishPanel"/>
    </panels>
<!--
    <jar src="dependency/lib/plexus-utils.jar"/>    
    <jar src="../AutoinstallerApplication.jar"/>
-->
    <!-- 
        The packs section. We specify here our packs.
    -->
    <packs>
        
        <pack name="Base" required="yes">
            <description>The base files</description>
            <file src="Readme.txt" targetdir="$INSTALL_PATH"/>
            <file src="Licence.txt" targetdir="$INSTALL_PATH"/>

            <file src="runAsMaster.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/runAsMaster.sh"/>
			<executable targetfile="$INSTALL_PATH/runAsMaster.sh" os="unix" type="bin"/>

	    <file src="runAsSlave.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/runAsSlave.sh"/>
			<executable targetfile="$INSTALL_PATH/runAsSlave.sh" os="unix" type="bin"/>

	    <file src="desktop_runMasterDB.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/desktop_runMasterDB.sh"/>
			<executable targetfile="$INSTALL_PATH/desktop_runMasterDB.sh" os="unix" type="bin"/>

	    <file src="desktop_runAsMaster.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/desktop_runAsMaster.sh"/>
			<executable targetfile="$INSTALL_PATH/desktop_runAsMaster.sh" os="unix" type="bin"/>

	    <file src="desktop_runAsSlave.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/desktop_runAsSlave.sh"/>
			<executable targetfile="$INSTALL_PATH/desktop_runAsSlave.sh" os="unix" type="bin"/>

	    <file src="exploreDBAsSlave.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/runAsSlave.sh"/>
			<executable targetfile="$INSTALL_PATH/runAsSlave.sh" os="unix" type="bin"/>
   
	    <file src="exploreDBLocaly.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/exploreDBLocaly.sh"/>
			<executable targetfile="$INSTALL_PATH/exploreDBLocaly.sh" os="unix" type="bin"/>

	    <file src="runMasterDB.sh" targetdir="$INSTALL_PATH"/>
            <parsable   targetfile="$INSTALL_PATH/runMasterDB.sh"/>
			<executable targetfile="$INSTALL_PATH/runMasterDB.sh" os="unix" type="bin"/>

            <!-- The file will be parsed -->
        </pack>
        <pack name="Docs" required="no">
            <description>The documentation</description>
            <file src="doc" targetdir="$INSTALL_PATH"/>
            <!-- Reccursive adding -->
        </pack>
        <pack name="Resources" required="no">
            <description>The resources</description>
            <file src="resources" targetdir="$INSTALL_PATH"/>
        </pack>
        
        <pack name="Application" required="yes">
            <description>The Application</description>
            <file src="../${project.distName}.jar"           targetdir="$INSTALL_PATH"/>
			<executable targetfile="$INSTALL_PATH//${project.distName}.jar" os="unix" type="bin"/>

			<file src="../classes/config/WebServiceConnection.properties"  targetdir="$INSTALL_PATH/config"/>
			<!--
			<file src="Version.properties"  targetdir="$INSTALL_PATH/config"/>
			-->
            <file src="dependency/lib" targetdir="$INSTALL_PATH"/>
        </pack>
        
    </packs>

</installation>
